Create HubSpot Engagement
curl --request POST \
--url https://api-lr.agent.ai/v1/action/hubspot.v2.create_engagement \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content_body": "<string>",
"output_variable_name": "created_engagement",
"title_subject": "<string>",
"duration": "<string>",
"properties": "<string>",
"associations": "<string>"
}
'import requests
url = "https://api-lr.agent.ai/v1/action/hubspot.v2.create_engagement"
payload = {
"content_body": "<string>",
"output_variable_name": "created_engagement",
"title_subject": "<string>",
"duration": "<string>",
"properties": "<string>",
"associations": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content_body: '<string>',
output_variable_name: 'created_engagement',
title_subject: '<string>',
duration: '<string>',
properties: '<string>',
associations: '<string>'
})
};
fetch('https://api-lr.agent.ai/v1/action/hubspot.v2.create_engagement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}HubSpot CRM & Automation
Create HubSpot Engagement
Create HubSpot Engagement
POST
/
action
/
hubspot.v2.create_engagement
Create HubSpot Engagement
Authorizations
Bearer token from your account (https://agent.ai/user/integrations#api)
Body
application/json
Available options:
note, call, email, meeting, task Enter the main content for this engagement (e.g., note content, call summary, email body, meeting agenda, or task description)
Variable name to store the created engagement.
Enter a title or subject for this engagement
Duration in minutes (for calls and meetings)
Select the status or disposition of this engagement
Available options:
COMPLETED, IN_PROGRESS, NOT_STARTED, SCHEDULED, CANCELLED Select the priority level for this engagement
Available options:
HIGH, MEDIUM, LOW ⌘I

